0

We are seeing this Magento 2 - 2.3.1. Warning "JQMIGRATE: Migrate is installed with logging active, version 1.4.1" on fresh 2.3.1 install

JQMIGRATE: Migrate is installed with logging active, version 1.4.1
jquery-migrate.js:45 JQMIGRATE: jQuery.attrFn is deprecated
migrateWarn @ jquery-migrate.js:45
jquery-migrate.js:47 console.trace
migrateWarn @ jquery-migrate.js:47

Is this a normal message or can we disable this?

(there was no prior M2 version, direc 2.3.1 install via composer)

0

Edit file lib/web/jquery/jquery-migrate.js

Look for at line 19

// Set to true to prevent console output; migrateWarnings still maintained
jQuery.migrateMute = false;

and change to false

// Set to true to prevent console output; migrateWarnings still maintained
jQuery.migrateMute = true;

We saw this during developer mode. No idea if it would log also in production mode. But we would rather not see any logging/output in console especially when this is a clean 2.3.1. install from repo.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.